import { IMapTool, MapChangeEvent } from "geovisto";
import IMapSelection from "../../types/selection/IMapSelection";
import ISelectionToolEvent from "../../types/event/ISelectionToolEvent";
/**
 * This class provides the map selection change event.
 *
 * @author Jiri Hynek
 */
declare class SelectionToolEvent extends MapChangeEvent<IMapSelection | null, IMapTool> implements ISelectionToolEvent {
    /**
     * It initializes event.
     */
    constructor(selectionTool: IMapTool, selection: IMapSelection | null);
    /**
     * Type of the event.
     */
    static TYPE(): string;
}
export default SelectionToolEvent;
